import fetch from "node-fetch";
import fetchEbayApplicationToken from "../utils/fetchEbayApplicationToken.js"; 

export const itemLookup = async (req, res) => {
  const productCode = req.query.productCode;
  const token = await fetchEbayApplicationToken();
  console.log(productCode);
  try {
    const response = await fetch(
      `https://api.ebay.com/buy/browse/v1/item_summary/search?gtin=${productCode}`,
      {
        method: "GET",
        headers: {
          Authorization: `Bearer ${token}`,
          "Content-Type": "application/json",
        },
      }
    );
    console.log(response);
    if (!response.ok)
      throw new Error("Failed to fetch data from eBay Browse API");

    const data = await response.json();
    const price = [];
    data.itemSummaries.forEach((item) => {
      price.push(item.price, item.condition);
    });

    res.status(200).send(price);
  } catch (error) {
    console.error("Error fetching data from eBay Browse API:", error);
    res.status(500).send("Internal Server Error");
  }
};
